<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        /*Написать функцию createNewUser(), которая будет создавать и возвращать объект newUser.
При вызове функция должна спросить у вызывающего имя и фамилию.
Используя данные, введенные пользователем, создать объект newUser со свойствами firstName и lastName.
Добавить в объект newUser метод getLogin(), который будет возвращать первую букву имени пользователя, 
соединенную с фамилией пользователя, все в нижнем регистре (например, Ivan Kravchenko → ikravchenko).
Создать пользователя с помощью функции createNewUser(). Вызвать у пользователя функцию getLogin().
 Вывести в консоль результат выполнения функции.
 */
        function createNewUser(firstName,lastName){ //cоздала функцию
            //запрос ввода имени
            this.firstName=prompt("Vvedi imia:","Name");
            this.lastName=prompt("Familiya:",);
        };
        //новый объект,который использует введенные данные
        let newUser=new createNewUser();
        //добавила метод в новый объект
        newUser.getLogin=()=>{
            //charAt(0)-берет букву с 0ым индексом(первую), toLowerCase()-переводит все буквы в нижний регистр
          let newLogin=newUser.firstName.charAt(0).toLowerCase()+newUser.lastName.toLowerCase();
           return newLogin;
        };
        //вывод результата
        document.write(`${newUser.getLogin()}`);
    </script>
</body>
</html>
